<nav class="navbar navbar-top navbar-expand-md navbar-dark" id="navbar-main">
    <div class="container-fluid">
        <!-- Brand -->
        <a class="h4 mb-0 text-white text-uppercase d-none d-lg-inline-block" routerLinkActive="active" [routerLink]="['/userAction']">{{getTitle()}}</a>
        <!-- Form -->

        <!-- User -->
        <ul class="navbar-nav align-items-center d-none d-md-flex">
            <li class="nav-item" ngbDropdown placement="bottom-right">
                <a class="nav-link pr-0" role="button" ngbDropdownToggle>
                    <div class="media align-items-center">
                        <span class="avatar avatar-sm rounded-circle">
              <img alt="Image placeholder" src="{{avatar}}">
            </span>
                        <div class="media-body ml-2 d-none d-lg-block">
                            <span class="mb-0 text-sm  font-weight-bold">{{username}}</span>
                        </div>
                    </div>
                </a>
                <div class="dropdown-menu-arrow dropdown-menu-right" ngbDropdownMenu>
                    <div class=" dropdown-header noti-title">
                        <h6 class="text-overflow m-0">Welcome!</h6>
                    </div>
                    <!-- <a routerLinkActive="active" [routerLink]="['/user-profile']" class="dropdown-item">
            <i class="ni ni-single-02"></i>
            <span>My profile</span>
          </a> -->
                    <a routerLinkActive="active" [routerLink]="['/userAction']" class="dropdown-item">
                        <i class="ni ni-settings-gear-65"></i>
                        <span>Home</span>
                    </a>
                    <a *ngIf="role=='' || role=='user'" routerLinkActive="active" [routerLink]="['/mesActions']" class="dropdown-item">
                        <i class="ni ni-calendar-grid-58"></i>
                        <span>Mes Actions</span>
                    </a>
                    <!-- <a routerLinkActive="active" [routerLink]="['/user-profile']" class="dropdown-item">
            <i class="ni ni-support-16"></i>
            <span>Support</span>
          </a> -->
                    <div class="dropdown-divider"></div>
                    <a class="dropdown-item" (click)="logout()">
                        <i class="ni ni-user-run"></i>
                        <span>Logout</span>
                    </a>
                </div>
            </li>
        </ul>
    </div>
</nav>